Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.eviware.soapui.support.action.support
Class SoapUIActionMappingList<T extends ModelItem>

    java.lang.Object
      java.util.AbstractCollection<E>
          java.util.AbstractList<E>
              java.util.ArrayList<SoapUIActionMapping<T>>
                  com.eviware.soapui.support.action.support.SoapUIActionMappingList<T>

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable, java.lang.Iterable<SoapUIActionMapping<T>>, java.util.Collection<SoapUIActionMapping<T>>, java.util.List<SoapUIActionMapping<T>>, java.util.RandomAccess

    public class SoapUIActionMappingList<T extends ModelItem>

extends java.util.ArrayList<SoapUIActionMapping<T>>

A list of SoapUIActionMappings

Author:
  ole.matzura
See Also:
  Serialized Form

Field Summary

Fields inherited from class java.util.AbstractList
`modCount`

Constructor Summary
`SoapUIActionMappingList()`
`SoapUIActionMappingList(java.util.Collection<? extends SoapUIActionMapping<T>> arg0)`

Method Summary
`SoapUIActionMapping<T>` | `getMapping(java.lang.String id)`
`int` | `getMappingIndex(java.lang.String id)`

Methods inherited from class java.util.ArrayList
`add, add, addAll, addAll, clear, clone, contains, ensureCapacity, get, indexOf, isEmpty, lastIndexOf, remove, remove, removeRange, set, size, toArray, toArray, trimToSize`

Methods inherited from class java.util.AbstractList
`equals, hashCode, iterator, listIterator, listIterator, subList`

Methods inherited from class java.util.AbstractCollection
`containsAll, removeAll, retainAll, toString`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface java.util.List
`containsAll, equals, hashCode, iterator, listIterator, listIterator, removeAll, retainAll, subList`

Constructor Detail

### SoapUIActionMappingList

    public SoapUIActionMappingList()

### SoapUIActionMappingList

    public SoapUIActionMappingList(java.util.Collection<? extends SoapUIActionMapping<T>> arg0)

Method Detail

### getMappingIndex

    public int getMappingIndex(java.lang.String id)

### getMapping

    public SoapUIActionMapping<T> getMapping(java.lang.String id)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005-2007 eviware.com. All Rights Reserved.